Description

Hello,
| report a bug in Hexen expansion Death Kings of the Citadel: when completing all maps in hub 1, | have regularly saved till half
map 1.6.

After that point every future savegame | make, can not be next loaded furtherly getting a warning at its loading like “would you like to
load the savegame “” ?”, where the savegame has really no name and only the double “” signs, and then after answering “yes”
doomsday crashes every time.

So, | have tried to progress saving in different points till the end of the map but in facts every savegame has the same behaviour: to
make doomsday crashes at every savegame loading.

This happened till Doomsday Engine version 1.14.4.

Instead in the just released version 1.14.5 trying to load the same savegames that failed, then Doomsday crashes reporting only an
error window with message like "... Loop: Application terminated due to exception: Uncaught exception during loop iteration:
[InProgressError] (GameSession::reloadMap) No game session is in progress ...": the entire message is reported in the DE output file
"doomsday.out" attached along also with a screenshot of that window.

Attached also are one working savegame "hex1.save" that is the last one that lets to play to be loaded and to not crash, and the
other remaining next savegames "hex2.save", "hex3.save", "hex4.save", "hex5.save" that are not working since they when
attempting to be loaded bring DE to crash with the errors described above.

Could this be fixed ?

Greetings and Thanks

Massimo Pizzolante Leuzzi

Doomsday Frontend from 1.9.10 to 1.14.1 Italian translation author
WWW: home.teletu.it/maxim300/indexEng.html

History

#1 - 2017-04-03 14:14 - skyjake

- Tags set to Deathkings, Hexen, SaveGame
- Category set to Defect

- Target version set to 2.1 (Late 2018)

#2 - 2018-10-27 15:42 - skyjake

- Status changed from New to Rejected

This is quite an old report, but | notice the save metadata says it is using the "hexen" game mode instead of "hexen-dk". This may have an influence
on the game behavior.

#3 - 2018-11-03 13:56 - skyjake
- Target version deleted (2.1 (Late 2018))
